<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div th:fragment="list" id="workitems-list">
    <input type="hidden" th:field="${userstory.id}" />
    <table class="ui table" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${not #lists.isEmpty(userstory.workitems)}">
      <thead>
        <tr>
          <th class="one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NUMBER}}"></th>
          <th class="seven wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKITEM}}"></th>
          <th class="three wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACT}}"></th>
          <th class="one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}"></th>
          <th class="two wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STATUS}}"></th>
          <th class="two wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ASSIGNEDTO}}"></th>
        </tr>
      </thead>
      <tbody>
        <tr th:each="workitem : ${userstory.workitems}">
          <td><a th:text="${workitem.number}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_UPDATE} + '/' + ${workitem.id}}"></a></td>
          <td th:text="${workitem.name}"></td>
          <td th:text="${workitem.contract} != null ? ${workitem.contract.name} : #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMPTY}}"></td>
          <td th:text="${workitem.workLogs != null ? #aggregates.sum(workitem.workLogs.![timeSpent]) : 0}"></td>
          <td th:text="${workitem.status.name}"></td>
          <td><th:block th:if="${workitem.assignedTo != null}" th:replace="common/fragments/avatar :: avatarAssigned(field = ${workitem})" /></td>
        </tr>
      </tbody>
    </table>
    <br />
    <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKITEMS_CREATE)"
      th:replace="common/fragments/form :: actionbuttonsListOnClick(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                             icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                             icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_INDEX},
                                                             icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                             icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                             icon2function = 'javascript:createworkitem',
                                                             icon2list = ${typesofworkitem},
                                                             icon2listtype = ${T(pt.com.scrumify.helpers.ConstantsHelper).VIEW_ATTRIBUTE_TYPESOFWORKITEM} + '.' 
                                                             )" />
  </div>
</body>
</html>
